/*
 * $RCSfile: trace.c,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Log: trace.c,v $
 * Revision 1.3  1997/03/10 21:37:34  mjk
 * *** empty log message ***
 *
 * Revision 1.2  1996/11/04 22:36:56  mjk
 * stdio is no buffered
 * thread priorities optimized
 * stack warnings correct for events
 *
 * Revision 1.1  1996/02/19 20:20:06  mjk
 * Initial revision
 *
 */

#include "platform.h"
#include "xk_debug.h"
#include "compose.h"

#undef XK_TRACE_LOCKING

#ifdef XK_TRACE_LOCKING
static pthread_mutex_t lock;
#endif

void
xTraceLock(void)
{
#ifdef XK_TRACE_LOCKING
    pthread_mutex_lock(&lock);
#endif
}

void
xTraceUnlock(void)
{
#ifdef XK_TRACE_LOCKING
    pthread_mutex_unlock(&lock);
#endif
}

void
xTraceInit(void)
{
#ifdef XK_TRACE_LOCKING
    pthread_mutex_init(&lock, NULL);
#endif
    initTraceLevels();
    return XK_SUCCESS;
}
