/*     
 * $RCSfile: ipsec_simple_i.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1994,1993,1991,1990  Arizona Board of Regents
 *
 */

#define LOCALHOSTTYPE IPhost
#define LOCALHOSTLEN  sizeof(IPhost)

#define		ACTIVE_MAP_SIZE   64
#define		PASSIVE_MAP_SIZE 128

/* 
   the SAID_IS vars refer to the mapping of relative protocols numbers to 
   global service types
*/
#define SAID_IS_DES_CBC			1
#define SAID_IS_DES_CBC_MD5_KEYED	2
#define SAID_IS_DES_CBC_MD5		3
#define SAID_IS_DES_CBC_CRC		4
#define SAID_IS_DES_CBC_SHA		5
#define SAID_IS_MD5_KEYED		6

#define MAX_PROT_INSTANCE_NAME	16

#define LOCAL  LOCAL_PART
#define REMOTE REMOTE_PART
#define	SAID_NETSIZE	1
#define	PROT_NETSIZE	2
#define TRANSPORT_PROTOCOL 0
#define IP_PS_HACK_FLAG 1

typedef struct  {
    LOCALHOSTTYPE  localhost, remotehost; 
} HostPair;

typedef u_char said_t;

/*
 * The key for the passive map is the SAID
 */
typedef struct { said_t sd; LOCALHOSTTYPE h; int prot; } PassiveId;

typedef struct header {
    said_t	said;	/* security association identifier */
    unsigned short prot;
} ipsecHdr;
#define IPSEC_HDR_NETSIZE (SAID_NETSIZE + PROT_NETSIZE)

/*
 * The active map is keyed on the pair of ports and the lower level IP
 * session.
 */
typedef struct {
    said_t	said;
    XObj	lls;
    int		prot;
} ActiveId;

typedef struct {
    Msg		*m;
    XObj 	s;
} storeInfo;

typedef struct pstate {
    Map   	activemap;
    Map		passivemap;
    int		flags;
} PSTATE;

typedef struct sstate {
     said_t	local_said, remote_said;
     XObj	transport_session;
     HostPair	hosts;
     LOCALHOSTTYPE myhost;
     XObj	hlp;
     int	flags;
     int	refcnt;
     ipsecHdr   ihdr;
} SSTATE;
