/*     
 * $RCSfile: mac.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: mac.h,v $
 * Revision 1.2  1994/03/14 19:26:37  menze
 *   [ 1994/02/10          yates ]
 *   Changed generic host to 48 bit mac host; moved definitions to mac.h.
 *
 *   [ 1994/01/18          yates ]
 *   Changed ethHost to genericHost; removed MAC_IS_REAL_DRIVER.
 *
 * Revision 1.1  1993/12/15  23:04:38  menze
 * Initial revision
 *
 */

#ifndef mac_h
#define mac_h

/*
 * Type definition for generic 48 bit MAC address.
 */

typedef struct {
    unsigned short    high;
    unsigned short    mid;
    unsigned short    low;
} MAC48bithost; 

#define MAC48BIT_ADDRS_EQUAL(A,B)   ((A).high==(B).high\
                                     &&(A).mid==(B).mid\
                                     &&(A).low==(B).low)

#define BCAST_MAC48BIT_ADDRESS      { 0xffff, 0xffff, 0xffff }

#ifdef __STDC__
extern xkern_return_t	str2mac48bitHost( MAC48bithost *, char * );
extern char *		mac48bitHostStr( MAC48bithost * );
#else
extern xkern_return_t	str2mac48bitHost();
extern char *		mac48bitHostStr();
#endif

#define    MAC_SETPROMISCUOUS	(MAC_CTL * MAXOPS + 0)
#define    MAC_CLEARPROMISCUOUS	(MAC_CTL * MAXOPS + 1)
#define    MAC_REGISTER_ARP	(MAC_CTL * MAXOPS + 2)
#define    MAC_DUMP_STATS	(MAC_CTL * MAXOPS + 3)

#endif /* ! mac_h */
