#
# $RCSfile: prottbl.ipf,v $
#
# x-kernel v3.2
#
# Copyright (c) 1993,1991,1990  Arizona Board of Regents
#
# $Log: prottbl.ipf,v $
# Revision 1.1  1996/04/10 18:02:35  ho
# Initial revision
#
# Revision 1.42.1.25  1995/11/17  22:22:27  ho
# IPSEC RFC assigned numbers.
#
# Revision 1.42.1.24  1995/10/31  17:55:42  ho
# Added ipsec, idea, crypt3in
#
# Revision 1.42.1.23  1995/06/08  18:51:03  spatsch
# renamed rlogin to rl.
#
# Revision 1.42.1.22  1995/06/06  17:19:02  spatsch
# fixed bug.
#
# Revision 1.42.1.21  1995/06/06  16:52:13  spatsch
# Added md5crypt.
#
# Revision 1.42.1.20  1995/06/06  00:14:54  spatsch
# Added crypt, crypt3, tcrypt to relative protocols of saidmgr.
#
# Revision 1.42.1.19  1995/05/01  22:27:39  spatsch
# Added relative protocols to saidmgr vsecselspi.
#
# Revision 1.42.1.18  1995/04/28  23:18:08  ho
# Security changes.
#
# Revision 1.42.1.17  1995/04/26  00:57:43  spatsch
# Changed relative protocol numbers for ipsecspi.
#
# Revision 1.42.1.16  1995/04/21  21:00:53  spatsch
# Added vsecselspi dheckxspi ipsecspi.
#
# Revision 1.42.1.15  1995/03/30  17:30:13  spatsch
# Added saidmgr.
#
# Revision 1.42.1.14  1995/03/13  20:54:27  spatsch
# Added dheckx.
#
# Revision 1.42.1.13  1995/02/14  00:47:09  spatsch
#  Added haval.
#
# Revision 1.42.1.12  1995/01/28  01:13:45  spatsch
# Added crypt3
#
# Revision 1.42.1.11  1994/12/13  17:37:55  gkim
# oops.  added incorrect protocol numbers for rlogin
#
# Revision 1.42.1.10  1994/12/13  17:36:50  gkim
# added rlogin protocols
#
# Revision 1.42.1.9  1994/11/15  02:24:11  ho
# Added ipsec and several friends.
#
# Revision 1.42.1.8  1994/09/19  20:49:55  andrey
# added ppp protocol
#
# Revision 1.42.1.7  1994/09/15  20:42:06  sean
# added rip protocol number
# .`
#
# Revision 1.42.1.6  1994/06/10  00:36:40  menze
# Added 'lance' entry for scout
#
# Revision 1.42.1.5  1994/06/09  00:18:36  dcs
# Added the crc checksumming algorithm
#
# Revision 1.42.1.4  1994/05/05  23:12:51  menze
# Added entries for the psync suite:  psync, divider, total_order,
# dispatch, composer, consul_timing
#
# Revision 1.42.1.3  1994/03/11  21:31:12  dcs
# added join_build_auth, join_client, join_server, join_build_ap
# kerb_services, kerb_serv_bottom, recvauth, recvauth_bottom, add_cksum
#
# Revision 1.42.1.2  1994/03/06  21:31:16  dcs
# added sendauth and sendauth_bottom
#
# Revision 1.42.1.1  1994/02/08  19:21:06  menze
# added authuser
#
# Revision 1.42  1994/02/05  00:12:37  menze
#   [ 1994/01/24          menze ]
#   Added irixeth
#
# Revision 1.41  1994/01/03  22:49:49  rcs
# Added DHKX 3401, Diffie-Hellman Key Exchange
#
# Revision 1.40  1993/12/10  02:33:03  menze
# Added entries for FDDI protocols
#
#
# This file describes absolute protocol id's and gives relative
# protocol numbers for those protocols which use them
#


eth	1    
{
	ip	x0800
	arp	x0806
	rarp	x8035
	#
	# ethernet types x3*** are not reserved
	#
	ethtest	x3000
	blast	x3001
	vsize	x3002
	chan	x3003
	blasttest	x3004
	bid	x3005
	bidctl	x3006
	iptest	x3007
	ppp	x3008

}
ip	2    
{
	ipf_icmp	1
	ipf_tcp		6
	ipf_udp		17
	ipsec-esp       50
	ipsec-ah        51
	ipinip	94
	#
	# IP protocol numbers n, 101 < n < 255, are unassigned
	#
	blast	101
	chan	102
	psync	103
	iptest	104	
	vsize	203
	bid	204
	bidctl	205
	rat	206
	ipsec   207
	dhkx    208
	km	209
	dss	210
	dheckx  211
	ipsecspi	212
	dheckxspi	213
}

ipf_udp		11000
ipf_tcp		11001
ipf_icmp	11002

arp	3
rarp	4
udp	5
{
	pmap	111
	nns   x7823
}
tcp	6
icmp	7
blast	8
sunrpc	9
pmap	10
vsize	11
vaddr	12
chan	13
select	14
vchan	15
null	16
vnet	17
vmux	18

mselect	20
bid	21
bidctl	22
vcache	23
srx	24
rrx	25
vdrop	26
machripc	27
{
	ssr	1
	nns	2
}	
portmaint	28
uproxy		29
lproxy		30
vtap		31
sar		32
nns		33
rat		34
join		35
fddi		36
{
        #
        # real Ethernet type values
        #
	ip	x0800
	arp	x0806
	rarp	x8035
	#
	# ethernet types x3*** are not reserved
	#
	fdditest      x3000
	blast         x3001
	vsize         x3002
	chan          x3003
	blasttest     x3004
	bid           x3005
	bidctl        x3006
}
psync		37
divider		38
total_order	39
dispatch	40
composer	41
consul_timing	42
rip		43
ipinip		44

#
# driver anchor protocols
#
simeth		1001	# ETH simulator on UDP
ethdrv		1002	# Mach out-of-kernel ethernet driver
xklance		1003	# Mach Lance ethernet driver
simsimeth	1004	# SIMETH simulator
ns8390		1005	# Mach Intelx86 NS8390 ethernet driver
simfddi		1006	# FDDI simulator on UDP
irixfddi	1007	# FDDI driver for IRIX
irixeth		1008	# ETH driver for IRIX
lance		1009	# Scout lance driver

#
# API anchor protocols
#
xksocket	2001

# crypt protocols
crypt		3001	# DES, length extending
tcrypt		3002	# DES, length preserving
km		3003	# Key Manager
bind		3004	# Layered Key Manager
crypt3		3005	# tripple DES
idea		3006	# IDEA encryption
crypt3in	3007	# 3 DES, inner CBC
rsa		3011	# RSA encryption

# for use with ipsec
desmd5key	3020
desmd5		3021
desnonce	3022
desmd5nonce	3023
md5key		3024

# the next two should have rsa over the checksum only
rsamd5key	3025
rsamd5		3026
rsamd5nonce	3027

saidmgr		3030
{
	md5		1
	haval		2
	crypt		3
	crypt3		4
	tcrypt		5
	md5crypt	6
}

md5		3101	# Ron Rivest's MD5 hash algorithm
sha		3102	# NIST Secure Hash Algorithm
crc		3103	# crc32 checksumming algorithm
haval		3104	# Haval Secure Hash Algorithm

md5crypt	3150	# md5 over a crypted package

auth		3200	# the Kerberos authorization protocol
tkmgr		3201	# the Kerberos ticket manager protocol
confounder	3202	# the protocol that prepends a nonce
vconf		3203	# the cryptographic confounder 
vsecsel		3204	# the security selection protocol
sendauth	3205	# the sendauth protocol from Kerberos
sendauth_bottom	3206	# the sendauth_bottom protocol
join_build_auth 3207    # builds a Kerberos authenticator
join_build_ap   3208    # builds a Kerberos application request
join_client     3209    # Kerberos ticket handler on client
join_server     3210    # Kerberos ticket handler on server
kerb_services   3211    # handles initial authent and messages
kerb_serv_bottom 3212   # handles incoming messages
recvauth        3213    # the recvauth protocol from Kerberos
recvauth_bottom 3214    # the recvauth_bottom protocol from Kerberos
add_cksum       3215    # adds a checksum for verification


ipsec		3216
{
# must have the standard ip protocol numbers
	icmp		 1
	tcp		 6
	udp		17
	ipsec-esp       50
	ipsec-ah        51
	ipinip	        94
# special crypt algorithms
# these must include the protocol number in their instance name!
	crypt		207
	desmd5key	208
	desmd5		209
	desnonce	210
	desmd5nonce	211
	md5key		212
	rsa		213
	# the next two should have rsa over the checksum only
	rsamd5key	214
	rsamd5		215
	rsamd5nonce	216
}

ipsecspi	3217
{
# must have the standard ip protocol numbers
	icmp		1
	tcp		6
	udp		17
}

vsecselspi	3218
{
	md5		1
	haval		2
	crypt		3
	crypt3		4
	tcrypt		5
	md5crypt	6
}
cookie		3219
ipsec-ah        3220
ipsec-esp       3221

user		3301
authuser	3302

dhkx		3401	# Diffie-Hellman Key Exchange
dheckx		3402	# Diffie-Hellman Key Exchange using elliptic curves
dheckxspi	3403

dss		3501	# DSS, the NIST Digital Signature Standard

# rlogin protocols
rl		3900
proxyrl		3901
rloginc		3902

# ppp protocols
serial  4002
lcp     4003
ipcp    4004

ppp 4001
{
  ip    x0021
  lcp   xC021
  ipcp  x8021
}

#
# test protocols
#
ethtest		10001
iptest		10002
fdditest	10003
udptest		10005
tcptest		10006
blasttest	10008
sunrpctest	10009
chantest	10013
xrpctest	10014
ethdrvtest	10015
udpcrypttest	10018
sartest         10019

# for testing machnetipc
ssr		10016
ssrtest		10017
