/*
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 */

#ifndef mcastroute_h
#define mcastroute_h

#define MCAST_MAX_IFC       10
#define MBPSIZE             100
#define MCAST_RT_TABLE_SZ   512

typedef struct {
        IPhost  ifc[MCAST_MAX_IFC];
        u_int   numIfc;
} ifcListType;

typedef struct mcastRoute {
        IPhost  mcastAddress;   /* multicast address */
        u_short key;            /* sort key */
        ifcListType ifcList; 
        struct  mcastRoute *next;     /* next for this hash */
} mcastRoute;

typedef struct {
        u_short bpoolsize;      /* number of unallocated structures remaining */
        mcastRoute   **arr;
} mcastRouteTable;

#include "vnet_i.h"
#ifdef __STDC__
 
xkern_return_t  mcast_rt_init( PState *);
xkern_return_t  mcast_rt_add( PState *, IPhost *, ifcListType *);
xkern_return_t  mcast_rt_get( mcastRouteTable *, IPhost *, mcastRoute *);
 
#else
 
xkern_return_t  mcast_rt_init();
xkern_return_t  mcast_rt_add();
xkern_return_t  mcast_rt_get();
 
#endif /* __STDC__ */
 
#endif /* mcastroute_h */
