/*     
 * $RCSfile: x_libc.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: x_libc.h,v $
 * Revision 1.2.1.1  1994/06/10 17:37:35  menze
 * Use <stdlib.h>
 *
 */

/*
 * C library prototypes
 */

#ifndef x_libc_h
#define x_libc_h

#include <string.h>
#include <stdlib.h>

#ifdef __STDC__

#ifdef XKBSD
extern void     bcopy( char *, char *, int );
extern int	bcmp( char *, char *, int );
extern void     bzero( char *, int );
#else
#define bcopy(src, dst, count) memmove (dst, src, count )
#define bcmp(src, dst, count) memcmp (dst, src, count )
#define bzero(dst, count) memset (dst, 0, count )
#endif
typedef 	int (* QSortFunc)(const void *, const void *);

#else

#ifdef XKBSD
extern void     bcopy();
extern int	bcmp();
extern void     bzero();
#else
#define bcopy(src, dst, count) memmove (dst, src, count )
#define bcmp(src, dst, count) memcmp (dst, src, count )
#define bzero(dst, count) memset( dst, 0, count )
#endif

#endif  __STDC__

#endif  ! x_libc_h
