/* 
 * $RCSfile: irix_eth_i.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1994 Massachusetts Board of Regents
 *
 *
 * $Log: irix_eth_i.h,v $
 * Revision 1.1  1994/03/14 21:19:50  umass
 * Initial revision
 *
 */


#define IRIXETH_MAX_INSTANCES	   5
#define MAX_ETH_WARM_POOL         10

#define MAX_ERROR_COUNT 1000

#define ERROR_PORT      (-1)
#define RCVBUFSIZE 	((64*1024) - 16)
#define SNDBUFSIZE 	((64*1024) - 16)
#define SMALLBUFSIZE    (14*1024)

#define HEADERPAD        RAW_HDRPAD(sizeof(struct ether_header))

/*
 * Headers for IRIX raw socket operations
 */

typedef struct
{
  struct ether_header link_header;
} sendHeader;


typedef struct
{
  char pad[HEADERPAD];
  struct ether_header link_header;
} recvHeader;


/* 
 * MAX_ETH_DATA_SZ is defined in include/prot/eth.h
 * This is the IEEE802.3 payload size
 *
 * Size bounds for the Raw sockets follow:  
 * IRIX Raw sockets use a different format in xmit and recv mode...
 */

#define MAX_ETH_SEND_SOCKET_PACKET_SIZE            ( MAX_ETH_DATA_SZ + \
						     sizeof(sendHeader) )

#define MIN_ETH_SEND_SOCKET_PACKET_SIZE            ( MIN_ETH_DATA_SZ + \
						     sizeof(sendHeader) )

#define MAX_ETH_RECV_SOCKET_PACKET_SIZE            ( MAX_ETH_DATA_SZ + \
						     sizeof(recvHeader) )

#define MIN_ETH_RECV_SOCKET_PACKET_SIZE            ( MIN_ETH_DATA_SZ + \
						     sizeof(recvHeader) )

typedef struct _PState {
    int         mtu;
    int	        sendSocket;
    int         sendPort;
    int	        recvSocket;
    int		recvPort;
    ETHhost     myHost;
    int		errorCount;
} PState;

